<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="39q-7t-c0g">
    <device id="retina6_1" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="14490.49"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Movies Table Controller-->
        <scene sceneID="XCR-Pb-uMv">
            <objects>
                <tableViewController storyboardIdentifier="MoviesTableController" id="jlf-EQ-IlB" customClass="MoviesTableController" customModule="AppetiserCodingChallenge" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="5st-e7-3Cd">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="albumCellId" textLabel="7FK-Gi-ayc" detailTextLabel="vGo-8C-Soq" imageView="up7-7T-A5g" style="IBUITableViewCellStyleSubtitle" id="VDA-8v-j3f">
                                <rect key="frame" x="0.0" y="28" width="414" height="44"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="VDA-8v-j3f" id="AgP-DS-rcL">
                                    <rect key="frame" x="0.0" y="0.0" width="414" height="43.5"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <label opaque="NO" multipleTouchEnabled="YES" contentMode="left" insetsLayoutMarginsFromSafeArea="NO" text="Title" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="7FK-Gi-ayc">
                                            <rect key="frame" x="59" y="5" width="33.5" height="20.5"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <label opaque="NO" multipleTouchEnabled="YES" contentMode="left" insetsLayoutMarginsFromSafeArea="NO" text="Subtitle" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" id="vGo-8C-Soq">
                                            <rect key="frame" x="59" y="25.5" width="44" height="14.5"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="12"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                        <imageView opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" image="arrow-left-black" id="up7-7T-A5g">
                                            <rect key="frame" x="20" y="9" width="24" height="24"/>
                                            <autoresizingMask key="autoresizingMask"/>
                                        </imageView>
                                    </subviews>
                                </tableViewCellContentView>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="jlf-EQ-IlB" id="Rzk-C1-Fvl"/>
                            <outlet property="delegate" destination="jlf-EQ-IlB" id="wjx-QI-LSP"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" id="YC5-Nl-iil"/>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Mcn-NA-uvH" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1047.8260869565217" y="90.401785714285708"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="WRk-tb-OVB">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="39q-7t-c0g" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="glc-or-jfW">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="jlf-EQ-IlB" kind="relationship" relationship="rootViewController" id="ILu-5Y-xnI"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="722-Xt-1sF" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="137.68115942028987" y="90.401785714285708"/>
        </scene>
        <!--Movies Detail Controller-->
        <scene sceneID="zwe-Xt-6QV">
            <objects>
                <viewController storyboardIdentifier="MoviewDetailController" id="0wg-Zg-Rzj" customClass="MoviesDetailController" customModule="AppetiserCodingChallenge" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="Z0G-FZ-7b8">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <stackView opaque="NO" contentMode="scaleToFill" axis="vertical" spacing="10" translatesAutoresizingMaskIntoConstraints="NO" id="3Zb-NO-hag">
                                <rect key="frame" x="50" y="64" width="300" height="778"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Track Name" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="uzp-fw-Gqf">
                                        <rect key="frame" x="0.0" y="0.0" width="300" height="29"/>
                                        <fontDescription key="fontDescription" type="boldSystem" pointSize="24"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="empty" translatesAutoresizingMaskIntoConstraints="NO" id="aAw-81-u3b">
                                        <rect key="frame" x="0.0" y="39" width="300" height="300"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="300" id="pui-XT-yA2"/>
                                            <constraint firstAttribute="width" constant="300" id="u0r-wV-6dH"/>
                                        </constraints>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Price" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="xS6-A7-Ozb">
                                        <rect key="frame" x="0.0" y="349" width="300" height="26.5"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="22"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Genre" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="bZX-PO-Nfb">
                                        <rect key="frame" x="0.0" y="385.5" width="300" height="25.5"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="21"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="249" text="Description" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="z5P-nx-oYU">
                                        <rect key="frame" x="0.0" y="421" width="300" height="357"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                            </stackView>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <constraints>
                            <constraint firstItem="v1U-s0-Plh" firstAttribute="trailing" secondItem="3Zb-NO-hag" secondAttribute="trailing" constant="64" id="7jE-Io-vLu"/>
                            <constraint firstItem="3Zb-NO-hag" firstAttribute="leading" secondItem="v1U-s0-Plh" secondAttribute="leading" constant="50" id="EtE-yX-PmE"/>
                            <constraint firstItem="3Zb-NO-hag" firstAttribute="top" secondItem="v1U-s0-Plh" secondAttribute="top" constant="20" id="F8M-dE-nmc"/>
                            <constraint firstItem="v1U-s0-Plh" firstAttribute="bottom" secondItem="3Zb-NO-hag" secondAttribute="bottom" constant="20" id="dd8-NO-5vh"/>
                        </constraints>
                        <viewLayoutGuide key="safeArea" id="v1U-s0-Plh"/>
                    </view>
                    <connections>
                        <outlet property="descriptionLabel" destination="z5P-nx-oYU" id="hg8-DT-Ssf"/>
                        <outlet property="genreLabel" destination="bZX-PO-Nfb" id="JEr-Js-JNT"/>
                        <outlet property="imageView" destination="aAw-81-u3b" id="RH8-F6-56g"/>
                        <outlet property="priceLabel" destination="xS6-A7-Ozb" id="eno-ha-xdm"/>
                        <outlet property="trackNameLabel" destination="uzp-fw-Gqf" id="mHG-e3-E2b"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Jh0-2g-hlZ" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1766.6666666666667" y="89.732142857142847"/>
        </scene>
    </scenes>
    <resources>
        <image name="arrow-left-black" width="24" height="24"/>
        <image name="empty" width="960" height="796"/>
    </resources>
</document>
